MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031431Open CASCADE[OCCT] OCCT:Visualizationpublic2020-03-14 20:272020-07-05 02:05
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031431: Visualization, PrsMgr_PresentableObject - simplify HLR computing interface
DescriptionExisting HLR computation interface within PrsMgr_PresentableObject is overcomplicated - there are numerous methods for doing the same thing.

Therefore, it is proposed revising and simplifying interface.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0031652verifiedbugmaster Visualization - crash on highlighting HLR Computed presentation displayed with Shaded display mode 
related to 0031653newkgv Visualization, V3d_View - get rid of Computed Mode 
child of 0031401newkgv Visualization - revise Toolkits dependency graph 

-  Notes
(0090944)
git (administrator)
2020-03-14 20:34

Branch CR31431 has been created by kgv.

SHA-1: a67e60d81a3bb9a770176288dc2f50dc24c5b34b


Detailed log of new commits:

Author: kgv
Date: Sat Mar 14 20:34:46 2020 +0300

    0031431: Visualization, PrsMgr_PresentableObject - simplify HLR computing interface
    
    Multiple PrsMgr_PresentableObject::Compute() methods have been replaced by single one
    PrsMgr_PresentableObject::computeHLR().
    Dummy implementations of previously declared methods have been removed
    from AIS classes not implementng HLR presentation.
    Class Prs3d_Projector has been removed and Graphic3d_Camera is now passed directly,
    so that redundant dependency from HLRAlgo_Projector in Prs3d interfaces has been eliminated.
    StdPrs_HLRShape and StdPrs_HLRPolyShape now implement common interface StdPrs_HLRShapeI.
(0090945)
git (administrator)
2020-03-14 20:58

Branch CR31431 has been updated forcibly by kgv.

SHA-1: 6613d8d9832f72a9f65a71787ba7ac202509ca8f
(0090948)
git (administrator)
2020-03-16 10:02

Branch CR31431_1 has been created by kgv.

SHA-1: e3d5dc6d98cb2db027b4b8f9c9e0ce0ff2b454c0


No new revisions were added by this update.
(0090952)
git (administrator)
2020-03-16 11:23

Branch CR31431_1 has been updated forcibly by kgv.

SHA-1: 889b3d21603d29a13b141c90f7462898a671ebcc
(0090960)
git (administrator)
2020-03-16 12:28

Branch CR31431_1 has been updated forcibly by kgv.

SHA-1: 0d35ae20c8032cba9d20a1cb61583c3830e38cbb
(0090964)
git (administrator)
2020-03-16 12:56

Branch CR31431_1 has been updated forcibly by kgv.

SHA-1: 7c6ae05dc557db8cff99ac7b75de6834e9bd08ef
(0090975)
git (administrator)
2020-03-16 16:56

Branch CR31431_1 has been updated forcibly by kgv.

SHA-1: b5163d2f8d19e9120fc9c019f3e1fd41100c8b11
(0090979)
kgv (developer)
2020-03-16 18:44

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31431_1-CR31431_1-KGV/ [^]
(0090992)
osa (developer)
2020-03-17 18:09

The patch was reviewed without remarks.
(0091128)
git (administrator)
2020-03-22 11:31

Branch CR31431_1 has been deleted by inv.

SHA-1: b5163d2f8d19e9120fc9c019f3e1fd41100c8b11
(0091129)
git (administrator)
2020-03-22 11:31

Branch CR31431 has been deleted by inv.

SHA-1: 6613d8d9832f72a9f65a71787ba7ac202509ca8f
(0091152)
bugmaster (administrator)
2020-03-22 11:39

Combination -
OCCT branch : IR-2020-03-20
master SHA - 7ef1f9b7c1d9301c158a593dc5facb5a33450318
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : IR-2020-03-20 SHA - f10b867b449ebfa55e0a3c8cb276ae511f9cf7f2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16845.960000000137 / 16685.300000000094 [+0.96%]
Products
Total CPU difference: 11305.960000000074 / 11298.700000000106 [+0.06%]
Windows-64-VC14:
OCCT
Total CPU difference: 18268.609375 / 18088.765625 [+0.99%]
Products
Total CPU difference: 13110.078125 / 13084.390625 [+0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master b5163d2f
Timestamp: 2020-03-14 17:34:46
Author: kgv
Details ] Diff ]
0031431: Visualization, PrsMgr_PresentableObject - simplify HLR computing interface

Multiple PrsMgr_PresentableObject::Compute() methods have been replaced by single one
PrsMgr_PresentableObject::computeHLR().
Dummy implementations of previously declared methods have been removed
from AIS classes not implementng HLR presentation.
Class Prs3d_Projector has been removed and Graphic3d_Camera is now passed directly,
so that redundant dependency from HLRAlgo_Projector in Prs3d interfaces has been eliminated.
StdPrs_HLRShape and StdPrs_HLRPolyShape now implement common interface StdPrs_HLRShapeI.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Curve.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Point.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Point.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Surface.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ISession_Curve.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/ISession_Curve.h Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/ISession/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/ISession/ISession_Curve.h Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.hxx Diff ] File ]
mod - src/AIS/AIS_AngleDimension.hxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.hxx Diff ] File ]
mod - src/AIS/AIS_Chamf2dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf2dDimension.hxx Diff ] File ]
mod - src/AIS/AIS_Chamf3dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf3dDimension.hxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.hxx Diff ] File ]
mod - src/AIS/AIS_ConcentricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_ConcentricRelation.hxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.hxx Diff ] File ]
mod - src/AIS/AIS_EqualDistanceRelation.cxx Diff ] File ]
mod - src/AIS/AIS_EqualDistanceRelation.hxx Diff ] File ]
mod - src/AIS/AIS_EqualRadiusRelation.cxx Diff ] File ]
mod - src/AIS/AIS_EqualRadiusRelation.hxx Diff ] File ]
mod - src/AIS/AIS_FixRelation.cxx Diff ] File ]
mod - src/AIS/AIS_FixRelation.hxx Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.cxx Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.hxx Diff ] File ]
mod - src/AIS/AIS_LengthDimension.hxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_Line.hxx Diff ] File ]
mod - src/AIS/AIS_MaxRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_MaxRadiusDimension.hxx Diff ] File ]
mod - src/AIS/AIS_MidPointRelation.cxx Diff ] File ]
mod - src/AIS/AIS_MidPointRelation.hxx Diff ] File ]
mod - src/AIS/AIS_MinRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_MinRadiusDimension.hxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.hxx Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.cxx Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.hxx Diff ] File ]
mod - src/AIS/AIS_ParallelRelation.cxx Diff ] File ]
mod - src/AIS/AIS_ParallelRelation.hxx Diff ] File ]
mod - src/AIS/AIS_PerpendicularRelation.cxx Diff ] File ]
mod - src/AIS/AIS_PerpendicularRelation.hxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.hxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.hxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_Point.hxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.hxx Diff ] File ]
mod - src/AIS/AIS_SymmetricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_SymmetricRelation.hxx Diff ] File ]
mod - src/AIS/AIS_TangentRelation.cxx Diff ] File ]
mod - src/AIS/AIS_TangentRelation.hxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_DataStructureManager.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/Prs3d/FILES Diff ] File ]
rm - src/Prs3d/Prs3d_Projector.cxx Diff ] File ]
rm - src/Prs3d/Prs3d_Projector.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/StdPrs/FILES Diff ] File ]
mod - src/StdPrs/StdPrs_HLRPolyShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_HLRPolyShape.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_HLRShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_HLRShape.hxx Diff ] File ]
add - src/StdPrs/StdPrs_HLRShapeI.cxx Diff ] File ]
add - src/StdPrs/StdPrs_HLRShapeI.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-14 20:27 kgv New Issue
2020-03-14 20:27 kgv Assigned To => kgv
2020-03-14 20:34 git Note Added: 0090944
2020-03-14 20:58 git Note Added: 0090945
2020-03-14 21:03 kgv Relationship added child of 0031401
2020-03-16 10:02 git Note Added: 0090948
2020-03-16 11:23 git Note Added: 0090952
2020-03-16 12:28 git Note Added: 0090960
2020-03-16 12:56 git Note Added: 0090964
2020-03-16 16:56 git Note Added: 0090975
2020-03-16 18:44 kgv Note Added: 0090979
2020-03-16 18:44 kgv Assigned To kgv => osa
2020-03-16 18:44 kgv Status new => resolved
2020-03-17 18:09 osa Note Added: 0090992
2020-03-17 18:09 osa Assigned To osa => bugmaster
2020-03-17 18:09 osa Status resolved => reviewed
2020-03-19 16:31 kgv Changeset attached => occt master b5163d2f
2020-03-19 16:31 kgv Assigned To bugmaster => kgv
2020-03-19 16:31 kgv Status reviewed => verified
2020-03-19 16:31 kgv Resolution open => fixed
2020-03-22 11:31 git Note Added: 0091128
2020-03-22 11:31 git Note Added: 0091129
2020-03-22 11:39 bugmaster Note Added: 0091152
2020-03-22 11:39 bugmaster Test case number => Not required
2020-07-04 23:30 kgv Relationship added parent of 0031652
2020-07-05 02:05 kgv Relationship added related to 0031653


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker